Service Areas
The Service Area object
idstringoptionalPublic service area identifier.
namestringoptionalService area display name.
typestringoptionalService area type.
centerobjectoptionalCenter point for the service area.
borderobjectoptionalService area border geometry.
zonesarray of objectsoptionalZones loaded with the service area.
statusstringoptionalService area status.
updated_attimestampoptionalTimestamp when the service area was last updated.
created_attimestampoptionalTimestamp when the service area was created.
{
"id": "service_area_4Mnp8Qx2Vz",
"name": "Singapore",
"type": "country",
"center": {
"latitude": 1.3521,
"longitude": 103.8198
},
"border": [],
"zones": [],
"status": "active",
"updated_at": "2026-05-07T08:30:00.000000Z",
"created_at": "2026-05-07T08:30:00.000000Z"
}/v1/service-areasCreate a Service Area
A service area is created by simply providing a city, province or country in which Fleetbase will reverse geocode into a service area.
If the service area cannot be reverse geocoded, Fleetbase will return an error.
namestringrequiredService area display name.
countrystringrequiredCountry code or country name for the service area.
typestringoptionalService area type.
statusenumoptionalService area status. One of active, inactive.
borderobjectoptionalService area polygon border. Required on create unless a point location or latitude/longitude is supplied.
locationobjectoptionalResolvable point used to create a circular service area.
latitudenumberoptionalDecimal latitude for a circular service area. Required with longitude.
longitudenumberoptionalDecimal longitude for a circular service area. Required with latitude.
radiusnumberoptionalDefault: 500Radius in meters when creating a circular service area.
parentstringoptionalParent service area ID.
colorstringoptionalFill color used when rendering the service area.
stroke_colorstringoptionalStroke color used when rendering the service area.
trigger_on_entrybooleanoptionalWhether entering this service area should trigger geofence events.
trigger_on_exitbooleanoptionalWhether exiting this service area should trigger geofence events.
dwell_threshold_minutesintegeroptionalMinutes inside the service area before dwell behavior is triggered.
speed_limit_kmhintegeroptionalSpeed limit in kilometers per hour for geofence events.
/v1/service-areascurl -X POST https://api.fleetbase.io/v1/service-areas \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-d '{
"name": "Singapore",
"type": "city",
"latitude": "1.3521",
"longitude": "103.8198",
"radius": "30000",
"country": "SG",
"status": "active"
}'/v1/service-areas/:idRetrieve a Service Area
This endpoint allows you to retrieve a service area object to view it's details.
/v1/service-areas/:idcurl https://api.fleetbase.io/v1/service-areas/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"status": "<string>",
"updated_at": "<string>",
"created_at": "<string>"
}/v1/service-areasQuery Service Areas
Returns service areas matching the supplied filters. Use this to find configured operating regions by name or other query parameters.
querystringoptionalSearch term matched against service area fields.
limitintegeroptionalMaximum number of service areas to return.
offsetintegeroptionalNumber of service areas to skip before returning results.
sortstringoptionalSort expression for the service area query.
countrystringoptionalFilters service areas by country.
/v1/service-areascurl https://api.fleetbase.io/v1/service-areas?name={{service_area_name}} \
-H "Authorization: Bearer flb_live_…"/v1/service-areas/:idUpdate a Service Area
You are only able to update the service area status
namestringoptionalService area display name.
countrystringoptionalCountry code or country name for the service area.
typestringoptionalService area type.
statusenumoptionalService area status. One of active, inactive.
borderobjectoptionalService area polygon border.
locationobjectoptionalResolvable point used to create a circular service area.
latitudenumberoptionalDecimal latitude for a circular service area. Required with longitude.
longitudenumberoptionalDecimal longitude for a circular service area. Required with latitude.
radiusnumberoptionalDefault: 500Radius in meters when updating a circular service area.
parentstringoptionalParent service area ID.
colorstringoptionalFill color used when rendering the service area.
stroke_colorstringoptionalStroke color used when rendering the service area.
trigger_on_entrybooleanoptionalWhether entering this service area should trigger geofence events.
trigger_on_exitbooleanoptionalWhether exiting this service area should trigger geofence events.
dwell_threshold_minutesintegeroptionalMinutes inside the service area before dwell behavior is triggered.
speed_limit_kmhintegeroptionalSpeed limit in kilometers per hour for geofence events.
/v1/service-areas/:idcurl -X PUT https://api.fleetbase.io/v1/service-areas/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"status": "active"
}'{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"status": "<string>",
"updated_at": "<string>",
"created_at": "<string>"
}/v1/service-areas/:idDelete a Service Area
Use this endpoint to delete a service area, deleting a service area will also delete all of the zones within the service area.
/v1/service-areas/:idcurl -X DELETE https://api.fleetbase.io/v1/service-areas/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"{}